/*----------------------------------------------------------------------------
*         Alexander Poddey's SAM7-EX256 dev.board setup
*----------------------------------------------------------------------------
*----------------------------------------------------------------------------
*/
#ifndef Board_h
#define Board_h

#include "common/AT91SAM7X256.h"
#define __inline inline

#define true	-1
#define false	0

/*-------------------------------*/
/* SAM7Board Memories Definition */
/*-------------------------------*/
// The AT91SAM7S64 embeds a 16-Kbyte SRAM bank, and 64 K-Byte Flash
// The AT91SAM7X256 embeds a 64-Kbyte SRAM bank, and 256 K-Byte Flash

//this is the start adress (see Memory mapping in user manual)
//REMAP seems to decide wheter we use rom, sram or flash as boot memory
//depending on GPNVM2 and REMAP
//using a low REMAP value means 0x00000000-0x00100000 (boot memory) is sram
//using a high value means flash
//
#define  INT_SARM           0x00200000 
#define  INT_SARM_REMAP	    0x00000000

#define  INT_FLASH          0x00000000
#define  INT_FLASH_REMAP    0x01000000

#define  FLASH_PAGE_NB	       1024
#define  FLASH_PAGE_SIZE	256






//************** Master Clock 
//still needs to be checked/adapted

#define EXT_OC          18432000   // Exetrnal ocilator MAINCK
#define MCK             47923200   // MCK (PLLRC div by 2)
#define MCKKHz          (MCK/1000) //

#endif /* Board_h */
